#!/bin/bash

echo ""
echo "Merging into MacOS Installed version of Greenstone"
echo ""

export LINUX32_GSDL_HOME=Greenstone-EGL-Linux32
export LINUX64_GSDL_HOME=Greenstone-EGL-Linux64
export WINDOWS_GSDL_HOME=Greenstone-EGL-Windows
##export DARWIN_GSDL_HOME=Greenstone-EGL-Darwin

export MERGED_GSDL_HOME=Greenstone-EGL-USB

if [ ! -d "$MERGED_GSDL_HOME/jre" ] ; then
  mkdir "$MERGED_GSDL_HOME/jre"
fi


if [ -d "$WINDOWS_GSDL_HOME" ] ; then

  echo "#----"
  echo "# Merging in Windows"
  echo "#----"

  /bin/cp -v -u -r "$WINDOWS_GSDL_HOME/bin/windows" "$MERGED_GSDL_HOME/bin/."

  /bin/cp -v -u -r "$WINDOWS_GSDL_HOME/packages/jre" "$MERGED_GSDL_HOME/jre/windows"

  /bin/cp -v -u -r "$WINDOWS_GSDL_HOME/perllib/cpan" "$MERGED_GSDL_HOME/perllib/."

  /bin/cp -v -u -r "$WINDOWS_GSDL_HOME/apache-httpd/windows" "$MERGED_GSDL_HOME/apache-httpd/."

  if [ -d "$WINDOWS_GSDL_HOME/cgi-bin/windows" ] ; then
    /bin/cp -v -u -r "$WINDOWS_GSDL_HOME/cgi-bin/windows" "$MERGED_GSDL_HOME/cgi-bin/."
  else

    /bin/cp -v -u -r "$WINDOWS_GSDL_HOME/cgi-bin" "$MERGED_GSDL_HOME/cgi-bin/windows"

    echo ""
    echo "----"
    echo "Remember to edit:"
    echo "  $WINDOWS_GSDL_HOME/apache-httpd/windows/conf/httpd.conf"
    echo "to set Greenstone's cgi-bin directory to match:"
    echo "  **GSDLHOME**/cgi-bin/windows"  
    echo "----"
    echo ""
  fi

  /bin/cp -v -u $WINDOWS_GSDL_HOME/*.bat $MERGED_GSDL_HOME/.
  /bin/cp -v -u $WINDOWS_GSDL_HOME/gli/*.bat $MERGED_GSDL_HOME/gli/.

fi


if [ -d "$LINUX32_GSDL_HOME" ] ; then
  echo "#----"
  echo "# Merging in Linux 32-bits"
  echo "#----"

  if [ -d "$LINUX32_GSDL_HOME/perllib/cpan/XML/share/man/man3" ] ; then
    /bin/rm -rf "$LINUX32_GSDL_HOME/perllib/cpan/XML/share/man/man3" 
  fi

  /bin/cp -v -u -r "$LINUX32_GSDL_HOME/bin/linux" "$MERGED_GSDL_HOME/bin/linux32"
  /bin/cp -v -u -r "$LINUX32_GSDL_HOME/lib/linux" "$MERGED_GSDL_HOME/lib/linux32"

  /bin/cp -v -u -r "$LINUX32_GSDL_HOME/packages/jre" "$MERGED_GSDL_HOME/jre/linux32"

  /bin/cp -v -u -r "$LINUX32_GSDL_HOME/perllib/cpan" "$MERGED_GSDL_HOME/perllib/."

  /bin/cp -v -u -r "$LINUX32_GSDL_HOME/apache-httpd/linux" "$MERGED_GSDL_HOME/apache-httpd/linux32"

  if [ -d "$LINUX32_GSDL_HOME/cgi-bin/linux" ] ; then
    /bin/cp -v -u -r "$LINUX32_GSDL_HOME/cgi-bin/linux" "$MERGED_GSDL_HOME/cgi-bin/linux32"
  else

    /bin/cp -v -u -r "$LINUX32_GSDL_HOME/cgi-bin" "$MERGED_GSDL_HOME/cgi-bin/linux32"

    echo ""
    echo "----"
    echo "Remember to edit:"
    echo "  $LINUX32_GSDL_HOME/apache-httpd/linux32/conf/httpd.conf"
    echo "to set Greenstone's cgi-bin directory to match:"
    echo "  **GSDLHOME**/cgi-bin/linux32"  
    echo "----"
    echo ""
  fi


fi

if [ -d "$LINUX64_GSDL_HOME" ] ; then
  echo "#----"
  echo "# Merging in Linux 64-bits"
  echo "#----"

  if [ -d "$LINUX64_GSDL_HOME/perllib/cpan/XML/share/man/man3" ] ; then
    /bin/rm -rf "$LINUX64_GSDL_HOME/perllib/cpan/XML/share/man/man3" 
  fi

  /bin/cp -v -u -r "$LINUX64_GSDL_HOME/bin/linux" "$MERGED_GSDL_HOME/bin/linux64"
  /bin/cp -v -u -r "$LINUX64_GSDL_HOME/lib/linux" "$MERGED_GSDL_HOME/lib/linux64"

  /bin/cp -v -u -r "$LINUX64_GSDL_HOME/packages/jre" "$MERGED_GSDL_HOME/jre/linux64"

  /bin/cp -v -u -r "$LINUX64_GSDL_HOME/perllib/cpan" "$MERGED_GSDL_HOME/perllib/."

  /bin/cp -v -u -r "$LINUX64_GSDL_HOME/apache-httpd/linux" "$MERGED_GSDL_HOME/apache-httpd/linux64"

  if [ -d "$LINUX64_GSDL_HOME/cgi-bin/linux" ] ; then
    /bin/cp -v -u -r "$LINUX64_GSDL_HOME/cgi-bin/linux" "$MERGED_GSDL_HOME/cgi-bin/linux64"
  else

    /bin/cp -v -u -r "$LINUX64_GSDL_HOME/cgi-bin" "$MERGED_GSDL_HOME/cgi-bin/linux64"

    echo ""
    echo "----"
    echo "Remember to edit:"
    echo "  $LINUX64_GSDL_HOME/apache-httpd/linux64/conf/httpd.conf"
    echo "to set Greenstone's cgi-bin directory to match:"
    echo "  **GSDLHOME**/cgi-bin/linux64"  
    echo "----"
    echo ""
  fi

fi


